Skip to main content
POST
/
project
/
v1
/
time-entries
Create Time Entry
curl --request POST \
  --url https://api-{region}.sesametime.com/project/v1/time-entries \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "timeEntryIn": {
    "date": "2020-01-01T10:00:00+01:00",
    "coordinates": {
      "latitude": 123,
      "longitude": 123
    }
  },
  "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tagIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "comment": "<string>",
  "timeEntryOut": {
    "date": "2020-01-01T10:00:00+01:00",
    "coordinates": {
      "latitude": 123,
      "longitude": 123
    }
  }
}
'
import requests

url = "https://api-{region}.sesametime.com/project/v1/time-entries"

payload = {
"employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timeEntryIn": {
"date": "2020-01-01T10:00:00+01:00",
"coordinates": {
"latitude": 123,
"longitude": 123
}
},
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tagIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"comment": "<string>",
"timeEntryOut": {
"date": "2020-01-01T10:00:00+01:00",
"coordinates": {
"latitude": 123,
"longitude": 123
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
employeeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
timeEntryIn: {
date: '2020-01-01T10:00:00+01:00',
coordinates: {latitude: 123, longitude: 123}
},
projectId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
tagIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
comment: '<string>',
timeEntryOut: {
date: '2020-01-01T10:00:00+01:00',
coordinates: {latitude: 123, longitude: 123}
}
})
};

fetch('https://api-{region}.sesametime.com/project/v1/time-entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "employee": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "firstName": "Lucas",
      "lastName": "García",
      "secondLastName": "<string>",
      "email": "jsmith@example.com",
      "imageProfileURL": "https://sesame-v2-prod-companies.s3.eu-west-3.amazonaws.com/48351485-1659-413d-bf7f-3ca34fadb521/public-read/g892f1fb-55a3-4e32-9cc9-7c19faa70gaa.png",
      "code": 1,
      "pin": 1000,
      "phone": "+34 111 11 11 11",
      "company": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "notificationEmail": "jsmith@example.com",
        "language": "<string>",
        "createdAt": "2020-01-01T10:00:00+01:00",
        "updatedAt": "2020-01-01T10:00:00+01:00"
      },
      "contractId": "<string>",
      "nid": "<string>",
      "secondaryNid": "<string>",
      "ssn": "<string>",
      "pricePerHour": 123,
      "accountNumber": "<string>",
      "dateOfBirth": "2023-12-25",
      "customFields": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "slug": "<string>",
          "type": "<string>",
          "value": "<string>",
          "createdAt": "2020-01-01T10:00:00+01:00",
          "updatedAt": "2020-01-01T10:00:00+01:00"
        }
      ],
      "createdAt": "2020-01-01T10:00:00+01:00",
      "updatedAt": "2020-01-01T10:00:00+01:00",
      "children": 2,
      "disability": 25,
      "address": "<string>",
      "postalCode": "<string>",
      "city": "<string>",
      "province": "<string>",
      "country": "ES",
      "nationality": "ES",
      "nationalities": [
        "ES",
        "FR"
      ],
      "personalMail": "jsmith@example.com",
      "maritalStatus": "<string>",
      "emergencyPhone": "<string>",
      "description": "<string>",
      "salaryRange": "<string>",
      "studyLevel": "<string>",
      "professionalCategoryCode": "<string>",
      "professionalCategoryDescription": "<string>",
      "bic": "<string>",
      "jobChargeId": "<string>",
      "jobChargeName": "<string>",
      "jobChargeDescription": "<string>",
      "jobChargeCompetencies": "<string>",
      "language": "es-ES",
      "workPhone": "+34 111 11 11 11",
      "mainRecruiter": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "firstName": "Lucas",
        "lastName": "García",
        "secondLastName": "<string>",
        "imageProfileURL": "https://sesame-v2-prod-companies.s3.eu-west-3.amazonaws.com/48351485-1659-413d-bf7f-3ca34fadb521/public-read/g892f1fb-55a3-4e32-9cc9-7c19faa70gaa.png",
        "email": "jsmith@example.com",
        "workCheckTypeColor": "#FF0000",
        "workCheckTypeName": "Remote"
      },
      "nfc": "<string>",
      "contributionGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "tagIds": [
      "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    ],
    "timeEntryIn": {
      "date": "2020-01-01T10:00:00+01:00",
      "coordinates": {
        "latitude": 123,
        "longitude": 123
      }
    },
    "timeEntryOut": {
      "date": "2020-01-01T10:00:00+01:00",
      "coordinates": {
        "latitude": 123,
        "longitude": 123
      }
    },
    "comment": "<string>",
    "createdAt": "2020-01-01T10:00:00+01:00",
    "updatedAt": "2020-01-01T10:00:00+01:00",
    "deletedAt": "<string>"
  },
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Create a Time Entry

employeeId
string<uuid>
required
timeEntryIn
object
required
projectId
string<uuid>
tagIds
string<uuid>[]
comment
string<text>
timeEntryOut
object

Response

200 - application/json

Object

data
object
meta
object